Bug 39118

Summary: Touch events are marked DontEnum in DOMWindow.idl
Product: WebKit Reporter: Ben Murdoch <benm>
Component: WebCore Misc.Assignee: Ben Murdoch <benm>
Status: RESOLVED FIXED    
Severity: Normal CC: android-webkit-unforking, commit-queue, gdk, hausmann, steveblock
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: All   
OS: All   
Bug Depends on:    
Bug Blocks: 32485    
Attachments:
Description Flags
Patch none

Description Ben Murdoch 2010-05-14 08:26:17 PDT
The touch event listener attributes are marked as DontEnum in DOMWindow.idl in contrast to all the other attribute EventListeners. Is this intentional? I propose that we remove the flag from the IDL and make them enumerable for consistency.

I can send a patch if there is agreement.

Thanks!
Comment 1 Ben Murdoch 2010-05-17 07:15:50 PDT
Created attachment 56240 [details]
Patch

Here's what the patch would look like. I believe Qt is the only platform that needs the layout test to be updated - AFAIK no other platforms that don't skip this test (e.g. Chromium skip it) have touch events enabled.
Comment 2 Darin Adler 2010-05-17 09:43:03 PDT
Comment on attachment 56240 [details]
Patch

OK. r=me
Comment 3 WebKit Commit Bot 2010-05-19 02:37:47 PDT
Comment on attachment 56240 [details]
Patch

Clearing flags on attachment: 56240

Committed r59754: <http://trac.webkit.org/changeset/59754>
Comment 4 WebKit Commit Bot 2010-05-19 02:37:52 PDT
All reviewed patches have been landed.  Closing bug.